> For the complete documentation index, see [llms.txt](https://docs-cn.multimarkets.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-cn.multimarkets.org/manager-api/jie-ru-shuo-ming/qing-qiu.md).

# 请求

**简介**

本文档是给交易所商户提供开放接口支持，目前接口以 ***http/https*** 协议为主,其中行情相关接口使用**websocket** 实现。 业务事件数据通过**websocket** 推送。

**B端接口-简介信息** `说明：前置网关接受所有业务请求，然后进行转发，不做参数校验，由下游服务进行独立校验`

1. **接口地址** `POST https://pre-api-test.cmfbl.com/openapi-b/auth/{bizType} #鉴权` `POST https://pre-api-test.cmfbl.com/openapi-b/{bizType} #其他所有请求接口地址信息`
2. **请求方式** `请求方式: POST` `请求体信息，以content-type=application/json形式传输`
3. **Header 请求参数**

| 参数      | 类型     | 是否必填项 | 描述                  |
| ------- | ------ | ----- | ------------------- |
| trace   | String | 必填    | 全局链路唯一标志            |
| version | String | 非必填   | 接口版本号               |
| group   | String | 非必填   | 接口分组                |
| token   | String | 非必填   | token信息，鉴权之后，后续接口所需 |

```
**Token: 由认证鉴权接口(/auth/admin.admin.CompanyAuthDubboService.auth)返回, 传入其他B端接口的Header参数中
```

4. **Body 请求参数**

| 参数      | 类型   | 是否必填项 | 描述         |
| ------- | ---- | ----- | ---------- |
| bizBody | JSON | 必填    | 请求信息体，JSON |

**bizType具体含义，详细说明：**

```
bizType => 以交易下单接口为例，进行说明：
包名：com.cats.tradeapi.api  # 包名要以com.cats开头,同时截取包名第三位作为各服务间唯一标志，所以包名长度要>=3位
接口名称：OrderApiService
方法名：addMarketOrder
最终bizType值为tradeapi.OrderApiService.addMarketOrder
```

5.**Response 返回参数**

| 参数        | 类型     | 描述                    |
| --------- | ------ | --------------------- |
| code      | String | 系统通用返回码。0-成功，其他异常     |
| msg       | String | 返回信息                  |
| bizCode   | String | 模块标识码                 |
| tm        | Long   | 处理时长（毫秒）              |
| trace     | String | 全局链路标志信息              |
| msgParams | String | 返回描述中占位符参数串，多个参数间以,分割 |
| data      | String | 返回体                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-cn.multimarkets.org/manager-api/jie-ru-shuo-ming/qing-qiu.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
